/*
 * [y] hybris Platform
 *
 * Copyright (c) 2017 SAP SE or an SAP affiliate company.  All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */

$(function () {
    if (window.opener != null && window.opener.PAYPAL != undefined) {
        window.opener.location = window.location;
        window.opener.PAYPAL.apps.Checkout.closeFlow();
    }
    paymentMethod();
    $('[name=paymentMethodSelection]').change(function () {
        paymentMethod();
    });
    if ($('#whatIsPayPalLink>a').length > 0) {
        $('#whatIsPayPalLink>a').on('click', function () {
            const newwindow = window.open($(this).attr('href'), '', 'height=768,width=1280,menubar=no,status=no');
            if (window.focus) {
                newwindow.focus()
            }
            return false;
        });
    }
});

function paymentMethod() {

    const paymentMethodSelectionRadioChecked = 'input[name=paymentMethodSelection]:radio:checked';
    const submitSilentOrderPostForm = '.submit_silentOrderPostForm';
    const payWithCardSection = '.payWithCardSection';
    const creditCardLabelId = '#creditCardLabelId';
    const savePayPalPaymentInfo = '#savePayPalPaymentInfo';
    const replenishmentPayPalCheckbox = '#replenishmentPayPalCheckbox';
    const replenishmentCreditCardCheckbox = '#replenishmentCreditCardCheckbox'
    const paypalSavedPayments = '.paypal-saved-payments';
    const markPaypalButtonContainer = '#mark-paypal-button-container';

    if ($(paymentMethodSelectionRadioChecked).val() === ''
        || $(paymentMethodSelectionRadioChecked).val() === undefined) {
        $(submitSilentOrderPostForm).removeAttr('href');
        $(savePayPalPaymentInfo).hide();
        $(replenishmentPayPalCheckbox).hide();
        $(replenishmentCreditCardCheckbox).hide();
        $(paypalSavedPayments).hide()
        $(payWithCardSection).show();
        $(creditCardLabelId).removeClass('headline');
        $(submitSilentOrderPostForm).show();
        $(markPaypalButtonContainer).hide();

    } else if ($(paymentMethodSelectionRadioChecked).val() === 'paypal') {
        $(submitSilentOrderPostForm).hide();
        $(markPaypalButtonContainer).show();
        $(savePayPalPaymentInfo).show();
        $(paypalSavedPayments).show()
        $(replenishmentPayPalCheckbox).show()
        $(replenishmentCreditCardCheckbox).hide();
        $(payWithCardSection).hide();
        $(creditCardLabelId).addClass('headline');
    } else {
        $(markPaypalButtonContainer).hide();
        $(savePayPalPaymentInfo).hide();
        $(replenishmentPayPalCheckbox).hide();
        $(replenishmentCreditCardCheckbox).show();
        $(paypalSavedPayments).hide()
        $(payWithCardSection).show();
        $(creditCardLabelId).removeClass('headline');
        $(submitSilentOrderPostForm).show();
    }
}
