/*
 * [y] hybris Platform
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company.  All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */
package com.paypal.hybris.backoffice.constants;

/**
 * Global class for all Ybackoffice constants. You can add global constants for your extension into this class.
 */
public final class PaypalbackofficeConstants extends GeneratedPaypalbackofficeConstants {

    public static final String EXTENSIONNAME = "paypalbackoffice";

    private PaypalbackofficeConstants() {
        //empty to avoid instantiating this constant class
    }

    public interface OrderManagementActions {

        String PARTIAL_CAPTURE_TITLE = "paypalbackoffice.multiplecapture.confirm.title";
        String PARTIAL_CAPTURE_SUCCESS = "paypalbackoffice.order.widget.order.capture.partial.message.success";
        String PARTIAL_CAPTURE_ERROR = "paypalbackoffice.order.widget.order.capture.partial.message.error";
        String PARTIAL_CAPTURE_EMPTY_AMOUNT = "paypalbackoffice.order.amount.error.empty";
        String PARTIAL_CAPTURE_ZERO_AMOUNT = "paypalbackoffice.order.amount.error.zero";
        String PARTIAL_CAPTURE_INVALID_FORMAT_AMOUNT = "paypalbackoffice.order.amount.error.number.format";

        String MANUAL_AUTHORIZATION_EMPTY_AMOUNT = "paypalbackoffice.order.amount.error.empty";
        String MANUAL_AUTHORIZATION_INVALID_FORMAT_AMOUNT = "paypalbackoffice.order.amount.error.number.format";
        String MANUAL_AUTHORIZATION_ZERO_AMOUNT = "paypalbackoffice.order.amount.error.zero";
        String MANUAL_AUTHORIZATION_TITLE = "paypalbackoffice.authorizeorder.confirm.title";
        String MANUAL_AUTHORIZATION_SUCCESS = "paypalbackoffice.order.authorizeTransaction.success";
        String MANUAL_AUTHORIZATION_ERROR = "paypalbackoffice.order.authorizeTransaction.failed";


        String REAUTHORIZE_TITLE = "paypalbackoffice.reauthorize.confirm.title";
        String REAUTHORIZE_SUCCESS = "paypalbackoffice.order.widget.order.reauthorize.message.success";
        String REAUTHORIZE_ERROR = "paypalbackoffice.order.widget.order.reauthorize.message.error";
        String REAUTHORIZE_AMOUNT_NOT_MATCH_ERROR = "paypalbackoffice.order.order.reauthorize.message.error.amount.not.match";
        String REAUTHORIZE_EMPTY_AMOUNT = "paypalbackoffice.order.amount.error.empty";
        String REAUTHORIZE_ZERO_AMOUNT = "paypalbackoffice.order.amount.error.zero";
        String REAUTHORIZE_INVALID_FORMAT_AMOUNT = "paypalbackoffice.order.amount.error.number.format";

        String REFUND_TITLE = "paypal.backoffice.partial.refund.confirm.title";
        String REFUND_SUCCESS = "paypal.backoffice.partialRefundTransaction.message.success";
        String REFUND_ERROR = "paypal.backoffice.partialRefundTransaction.title.message.error";
        String REFUND_ZERO_AMOUNT = "paypal.backoffice.partialRefundTransaction.amount.error.zero";
        String REFUND_INCORRECT_AMOUNT_VALUE = "paypal.backoffice.partialRefundTransaction.amount.error.incorrect";
        String REFUND_EMPTY_AMOUNT = "paypal.backoffice.partialRefundTransaction.amount.error.empty";
        String REFUND_INVALID_FORMAT_AMOUNT = "paypal.backoffice.partialRefundTransaction.amount.error.number.format";

        String CANCELORDER_TITLE = "customersupportbackoffice.cancelorder.confirm.title";
        String CANCELORDER_SUCCESS = "customersupportbackoffice.cancelorder.confirm.success";
        String CANCELORDER_ERROR = "customersupportbackoffice.cancelorder.confirm.error";

    }
}
