/*
 * [y] hybris Platform
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */
package com.paypal.hybris.core.setup;

import static com.paypal.hybris.core.constants.PaypalcoreConstants.PLATFORM_LOGO_CODE;

import de.hybris.platform.core.initialization.SystemSetup;

import com.paypal.hybris.core.constants.PaypalcoreConstants;
import com.paypal.hybris.core.service.PaypalCoreService;


@SystemSetup(extension = PaypalcoreConstants.EXTENSIONNAME)
public class PaypalcoreSystemSetup {

    private final PaypalCoreService paypalcoreService;

    public PaypalcoreSystemSetup(final PaypalCoreService paypalcoreService) {
        this.paypalcoreService = paypalcoreService;
    }

    @SystemSetup(process = SystemSetup.Process.INIT, type = SystemSetup.Type.ESSENTIAL)
    public void createEssentialData() {
        paypalcoreService.createLogo(PLATFORM_LOGO_CODE);
    }
}
