/*
 * [y] hybris Platform
 *
 * Copyright (c) 2018 SAP SE or an SAP affiliate company. All rights reserved.
 *
 * This software is the confidential and proprietary information of SAP
 * ("Confidential Information"). You shall not disclose such Confidential
 * Information and shall use it only in accordance with the terms of the
 * license agreement you entered into with SAP.
 */
package com.paypal.hybris.facade.setup;

import static com.paypal.hybris.facade.constants.PaypalfacadesConstants.PLATFORM_LOGO_CODE;

import de.hybris.platform.core.initialization.SystemSetup;

import com.paypal.hybris.facade.constants.PaypalfacadesConstants;
import com.paypal.hybris.facade.service.PaypalfacadesService;


@SystemSetup(extension = PaypalfacadesConstants.EXTENSIONNAME)
public class PaypalfacadesSystemSetup {

    private final PaypalfacadesService paypalfacadesService;

    public PaypalfacadesSystemSetup(final PaypalfacadesService paypalfacadesService) {
        this.paypalfacadesService = paypalfacadesService;
    }

    @SystemSetup(process = SystemSetup.Process.INIT, type = SystemSetup.Type.ESSENTIAL)
    public void createEssentialData() {
        paypalfacadesService.createLogo(PLATFORM_LOGO_CODE);
    }
}
