import {Injectable} from '@angular/core';
import {Occ, ReplenishmentOrder} from '@spartacus/core';
import ScheduleReplenishmentForm = Occ.ScheduleReplenishmentForm;
import {Observable} from 'rxjs';
import {PaypalCheckoutReplenishmentOrderAdapter} from './paypal-checkout-replenishment-order.adapter';

@Injectable()
export class PaypalCheckoutReplenishmentOrderConnector
{

  constructor(protected adapter: PaypalCheckoutReplenishmentOrderAdapter) {}

  public scheduleReplenishmentOrder(
    cartId: string,
    scheduleReplenishmentForm: ScheduleReplenishmentForm,
    termsChecked: boolean,
    userId: string
  ): Observable<ReplenishmentOrder> {
    return this.adapter.scheduleReplenishmentOrder(
      cartId,
      scheduleReplenishmentForm,
      termsChecked,
      userId
    );
  }
}
