import {PaypalCheckoutData} from '../models/paypal-payment-data.model';
import {Converter} from '@spartacus/core';
import {InjectionToken} from '@angular/core';
import {PayPalBillingAgreementPaymentRequest, PayPalButtonStyle} from '../models';
import {PayPalBillingAgreementToken, PaypalOrder, PayPalPaymentRequest} from '../models/paypa-checkout-data.model';

export const PAYPAL_PAYMENT_DETAILS_SERIALIZER = new InjectionToken<
  Converter<PayPalPaymentRequest, any>
  >('PayPalPaymentRequestSerializer');

export const  PAYPAL_BILLING_AGREEMENT_PAYMENT_SERIALIZER = new InjectionToken<
  Converter<PayPalBillingAgreementPaymentRequest, any>
  >('PayPalBillingAgreementPaymentRequestSerializer');

export const PAYPAL_CHECKOUT_DATA_NORMALIZER = new InjectionToken<
  Converter<any, PaypalCheckoutData>
  >('PaypalCheckoutDataNormalizer');

export const PAYPAL_BUTTON_STYLE_NORMALIZER = new InjectionToken<
  Converter<any, PayPalButtonStyle>
  >('PayPalButtonStyleNormalizer');

export const PAYPAL_ORDER_NORMALIZER = new InjectionToken<
  Converter<any, PaypalOrder>
  >('PayPalOrderNormalizer');

export const PAYPAL_BILLING_AGREEMENT_TOKEN_NORMALIZER = new InjectionToken<
  Converter<any, PayPalBillingAgreementToken>
  >('PayPalBillingAgreementTokenNormalizer');

