import {Component, OnInit} from '@angular/core';
import {CheckoutReplenishmentFormService, ScheduleReplenishmentOrderComponent} from '@spartacus/storefront';
import {CheckoutService} from '@spartacus/core';
import {PaypalPaymentDetailsService, PaypalConfiguration} from 'paypal-spartacus-core';
import {map} from 'rxjs/operators';
import {Observable} from 'rxjs';

@Component({
  selector: 'paypal-replenishment-order',
  templateUrl: './paypal-replenishment-order.component.html',
})
export class PaypalReplenishmentOrderComponent extends ScheduleReplenishmentOrderComponent implements OnInit {

    isReplenishmentAvailable$: Observable<boolean>;

  constructor(
      protected checkoutService: CheckoutService,
      protected checkoutReplenishmentFormService: CheckoutReplenishmentFormService,
      protected paypalPaymentDetailsService: PaypalPaymentDetailsService
  ) { super(checkoutService, checkoutReplenishmentFormService); }

  ngOnInit(): void {
      super.ngOnInit();
      this.isReplenishmentAvailable$ = this.paypalPaymentDetailsService
        .loadPaymentDetails('mark')
        .pipe(
            map((checkoutData) =>
            {
              return checkoutData.configurationData.isBillingAgreementFlowEnabled;
            })
        );
  }

}
